Create flow
Create flow. See the OpenAPI-defined parameters, request body, and responses below.
POST
/FlowCreate flow. See the OpenAPI-defined parameters, request body, and responses below.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
This operation has no path, query, or header parameters.
Request body
Content type: application/json · Schema: FlowDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
description | string | No | — | nullable |
isActive | boolean | No | — | — |
createdAt | string · date-time | No | — | nullable |
createdBy | integer · int32 | No | — | — |
updatedAt | string · date-time | No | — | nullable |
updatedBy | integer · int32 | No | — | — |
Example request
curl --request POST \
--url 'https://api.zild.ai/Flow' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"description": "string",
"isActive": true,
"createdAt": "2026-09-22T18:00:00Z",
"createdBy": 0,
"updatedAt": "2026-09-22T18:00:00Z",
"updatedBy": 0
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | OK | No response body is defined. |
Data models
FlowDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
description | string | No | — | nullable |
isActive | boolean | No | — | — |
createdAt | string · date-time | No | — | nullable |
createdBy | integer · int32 | No | — | — |
updatedAt | string · date-time | No | — | nullable |
updatedBy | integer · int32 | No | — | — |